nhilbertcd.h File Reference

Provides a modified Contejean-Devie algorithm for Hilbert basis enumeration. More...

`#include "regina-core.h"`
`#include "maths/nray.h"`
`#include <iterator>`
`#include <list>`
`#include <vector>`
`#include "enumerate/nhilbertcd-impl.h"`

## Classes

class | regina::NHilbertCD
| Implements a modified Contejean-Devie algorithm for enumerating Hilbert bases. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

Provides a modified Contejean-Devie algorithm for Hilbert basis enumeration.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).